Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		gtk-engines
Version:	2.18.4
Release:	1
BuildArch:	i686
License:	GNU/LGPL
URL:		ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines
Group:		Graphical Desktop/GNOME/Base
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	Default GTK+ 2.0 theme engines.

#Manual build dependencies
BuildRequires:	lua

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libXrender-devel
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
gtk-engines provides a central location for commonly used GTK+ engines. 

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n gtk-engines-%{version}

%build
%configure \
--enable-animation \
--enable-lua
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# sanitize permissions
find $RPM_BUILD_ROOT%_datadir/themes -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%_datadir/themes -type f -name "*.png" -exec chmod 644 {} \;
find $RPM_BUILD_ROOT%_datadir/themes -name "gtkrc*" -perm +111 -exec chmod 644 {} \;

# no thanks
rm -rf $RPM_BUILD_ROOT%_datadir/themes/Redmond
rm -rf $RPM_BUILD_ROOT%_libdir/gtk-2.0/2.4.0/engines/libredmond95.so

%find_lang %{name}

%files -f %{name}.lang
%defattr(644, root, root, 755)
%doc COPYING README ChangeLog
%attr (755, root, root) %_libdir/gtk-2.0/*/engines/*.so
%_libdir/gtk-2.0/*/engines/*.la
%dir %{_libdir}/gtk-2.0
%dir %{_libdir}/gtk-2.0/*
%dir %{_libdir}/gtk-2.0/*/engines
%_pkgconfig
%_datadir/themes
%_datadir/gtk-engines

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Nov 22 2009 Christian Metzen <metzench@ccux-linux.de> 2.18.4-1
- Version update
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.18.0-1
- Version update
* Fri Jan 09 2009 Christian Metzen <metzench@ccux-linux.de> 2.15.4-1
- Version update
* Thu Aug 06 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.15.2-1
- Version update
* Wed Mar 12 2008 Christian Metzen <metzench@ccux-linux.de> 2.14.0-1
- Version update
* Mon Nov 05 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.2-1
- Version update
* Fri Sep 28 2007 Christian Metzen <metzench@ccux-linux.de> 2.12.1-1
- Version update
* Tue Mar 19 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.0-1
- Version update
* Tue Nov 07 2006 Christian Metzen <metzench@ccux-linux.de> 2.8.1-1
- Version update
* Tue Feb 28 2005 Christian Wasem <wasem@ccux-linux.de> 2.7.4-1
- Update to Version 2.7.4
* Mon Jan 30 2005 Christian Wasem <wasem@ccux-linux.de> 2.7.2-1
- Initial Release
